agent-configuration
Update Template
Update a custom template.
PUT
/
config
/
templates
/
{template_id}
Update Template
curl --request PUT \
--url https://api.example.com/config/templates/{template_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"recommended_config": {},
"required_tools": [
"<string>"
],
"sample_first_message": "<string>",
"is_public": true
}
'import requests
url = "https://api.example.com/config/templates/{template_id}"
payload = {
"name": "<string>",
"description": "<string>",
"recommended_config": {},
"required_tools": ["<string>"],
"sample_first_message": "<string>",
"is_public": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
recommended_config: {},
required_tools: ['<string>'],
sample_first_message: '<string>',
is_public: true
})
};
fetch('https://api.example.com/config/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"use_case_key": "<string>",
"description": "<string>",
"recommended_config": {},
"required_tools": [
"<string>"
],
"sample_first_message": "<string>",
"is_system_template": true,
"is_public": true,
"usage_count": 123,
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
Agent template response.
⌘I
Update Template
